import React from 'react';
import type { NarrationMetadata, VoiceId } from '../core/types';
import { VOICE_OPTIONS } from '../core/types';
interface NarrateProps extends Omit<NarrationMetadata, 'title'> {
    children: string | React.ReactNode;
    title: string;
    voice?: VoiceId;
    /** Show the narration indicator in production (defaults to only showing in development) */
    showIndicator?: boolean;
    /** Custom styles for the narration indicator */
    indicatorStyle?: React.CSSProperties;
}
export declare const Narrate: React.FC<NarrateProps>;
export { VOICE_OPTIONS };
//# sourceMappingURL=Narrate.d.ts.map