import type { NarrationMetadata } from './types';
interface GeneratorOptions {
    inputDir: string;
    outputDir: string;
}
declare class NarrationGenerator {
    private tts;
    private options;
    constructor(options?: Partial<GeneratorOptions>);
    generateAudio(narrationContent: {
        metadata: NarrationMetadata;
        content: string;
    }): Promise<string>;
    processNarrationFile(filePath: string): Promise<string>;
    processDirectory(): Promise<string[]>;
}
export default NarrationGenerator;
//# sourceMappingURL=generator.d.ts.map