export type VoiceId = 'en-US-JennyNeural' | 'en-US-GuyNeural' | 'en-US-AriaNeural' | 'en-GB-SoniaNeural' | 'en-GB-RyanNeural' | 'en-AU-NatashaNeural' | 'en-AU-WilliamNeural' | string;
export interface NarrationMetadata {
    title: string;
    voice?: VoiceId;
    rate?: number;
    volume?: number;
    pitch?: number;
    outputPath?: string;
}
export interface NarrationContent {
    metadata: NarrationMetadata;
    content: string;
}
export declare const VOICE_OPTIONS: {
    readonly US_FEMALE: VoiceId;
    readonly US_MALE: VoiceId;
    readonly US_FEMALE_ALT: VoiceId;
    readonly GB_FEMALE: VoiceId;
    readonly GB_MALE: VoiceId;
    readonly AU_FEMALE: VoiceId;
    readonly AU_MALE: VoiceId;
};
//# sourceMappingURL=types.d.ts.map